Subject: Re: tcl, exec, starting a console
From: [email-masked] (banders)

19 Jan 1998 16:15:49 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Brian Craft <[email-masked]>
Cc: [email-masked]

Try starting it up the way you did to get your first bash shell...
I have a shortcut to start up egcs
If you have a shortcut in your path, then just type
start shortcut.pif
I just typed 
start c:\\windows\\.....\\egcs.pif
bash will eat a single \
or I could type
start c:/windows/..../egcs.pif
(tested all of them ;)
Bart
Brian Craft wrote:
> 
> Hi. I'm wondering how I can start a program in a separate window from tcl.
> 
> Under Unix I pop up an xterm, but I haven't figured out a way to
> start another console with cygwin. In tcl
> 
> exec ls
> 
> Produces what you might expect, returning the result to tcl. Executing bash,
> however, produces just what it would under Unix: nothing. It doesn't pop up a
> console, it just returns immediately. I also tried exec'ing a DOS script (.bat
> file) which starts bash, and running command.com, but both just hang.
> 
> All this was on Win95, running coolview, wish42 and entering tcl exec commands
> into the console.
> 
> b.c.
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".